Subject: Re: What's cooking in git.git (Oct 2025, #06; Fri, 17)

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Oct 2025 14:48:14 -0700

Patrick Steinhardt <[email-masked]> writes:

> On Mon, Oct 20, 2025 at 02:02:52PM -0700, Junio C Hamano wrote:
>> * ar/run-command-hook (2025-10-17) 10 commits
>> ...
>>  Comments?
>>  source: <[email-masked]>
>
> I'll make sure tho give the current iteration another review today.

Thanks, very much appreciated.

>> * cc/fast-import-strip-signed-tags (2025-10-13) 5 commits
>> ...
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> Should be ready from my point of view. v2 already addressed all of
> my comments, and v3 clarified the documentation in one more case. So I'm
> happy with this version.

Yup, matches my feeling.

>> * ps/ci-rust (2025-10-14) 8 commits
>> ...
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> I think it should be ready. The 3rd version only saw a single minor
> fixup relative to the 2nd one.

OK.  CI changes are easy to handle as we would know breakage fairly
soon ;-)

>> * ps/remove-packfile-store-get-packs (2025-10-09) 7 commits
>> ...
>>  Comments?
>>  source: <[email-masked]>
>
> I think this series should be ready once the below series is merged
> down. v2 addressed all of Taylor's feedback and saw another positive
> review by Justin.

Yeah, relying on an in-flight topic has to block the topic until
the base solidifies, which I do not particularly like (as I can
easily screw up by merging the dependent and drag the base into
'next' before it is ready).  As the other one does look ready, it
should be OK as well.

>> * tb/incremental-midx-part-3.1 (2025-10-15) 50 commits
>> ...
>>  (this branch is used by ps/remove-packfile-store-get-packs.)
>> 
>>  Clean-up "git repack" machinery to prepare for incremental update
>>  of midx files.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> Yeah, I think this one is ready to go.

Thanks, concurred.